
Ruby - Bug #15372

openssl 1.1.1a on Debian sid test failures

12/03/2018 07:14 AM - normalperson (Eric Wong)

Status: Closed   

Priority: Normal   

Assignee: rhenium (Kazuki Yamaguchi)   

Target version:    

ruby -v:  Backport: 2.4: REQUIRED, 2.5: REQUIRED

Description

I fixed a few in r66152 r66153 for webrick and drb.

There's many more than I have time to fix which affect the "openssl"

(which uses a proprietary bug tracker)

"net/*" fixtures need to be updated....

"rubygems" tests are taking forever and fail...

History

#1 - 12/03/2018 07:14 AM - normalperson (Eric Wong)

- File net-ossl-111a-sid-fail.txt added

- Assignee changed from hsbt (Hiroshi SHIBATA) to rhenium (Kazuki Yamaguchi)

#2 - 12/03/2018 07:15 AM - normalperson (Eric Wong)

- File rubygems-ossl-111a-sid-fail.txt added

#3 - 12/03/2018 07:23 AM - normalperson (Eric Wong)

Note: I attached full logs since some tests were taking way

longer than expected, too, but did not fail.  For example:

TestGemRemoteFetcher#test_ssl_connection = 60.17

#4 - 12/03/2018 11:48 AM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.4: UNKNOWN, 2.5: UNKNOWN to 2.4: REQUIRED, 2.5: REQUIRED

I think some of these changesets are required for stable branches to fix errors on RubyCI.

#5 - 10/17/2019 07:54 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Open to Closed

test/net/fixtures was updated in f234e6c3d3170f37508e214cdaef78d4b2584e5a and 1e0b49a293d3792826c67b7e05c5fcbd09c9ea6e. Rubygems

cert was updated in ae2a904ce9bffedee7d110dc60fd51c0a2879a5b. I think this can be closed.

Files

openssl-ossl-111a-sid-fail.txt 28.3 KB 12/03/2018 normalperson (Eric Wong)

net-ossl-111a-sid-fail.txt 39.4 KB 12/03/2018 normalperson (Eric Wong)

rubygems-ossl-111a-sid-fail.txt 144 KB 12/03/2018 normalperson (Eric Wong)
